Use MPFR 4.1.0 in build-many-glibcs.py

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Use MPFR 4.1.0 in build-many-glibcs.py

Joseph Myers
This patch makes build-many-glibcs.py use the new MPFR 4.1.0 release.

Tested with build-many-glibcs.py (host-libraries, compilers and glibcs
builds).

diff --git a/scripts/build-many-glibcs.py b/scripts/build-many-glibcs.py
index 8010716d36..f17a8a250d 100755
--- a/scripts/build-many-glibcs.py
+++ b/scripts/build-many-glibcs.py
@@ -753,7 +753,7 @@ class Context(object):
                             'gmp': '6.2.0',
                             'linux': '5.7',
                             'mpc': '1.1.0',
-                            'mpfr': '4.0.2',
+                            'mpfr': '4.1.0',
                             'mig': 'vcs-mainline',
                             'gnumach': 'vcs-mainline',
                             'hurd': 'vcs-mainline'}

--
Joseph S. Myers
[hidden email]
Reply | Threaded
Open this post in threaded view
|

Ping Re: Use MPFR 4.1.0 in build-many-glibcs.py

Joseph Myers
Ping.  This patch
<https://sourceware.org/pipermail/libc-alpha/2020-July/116333.html> is
pending review.

--
Joseph S. Myers
[hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: Use MPFR 4.1.0 in build-many-glibcs.py

Sourceware - libc-alpha mailing list
In reply to this post by Joseph Myers


On 14/07/2020 11:10, Joseph Myers wrote:
> This patch makes build-many-glibcs.py use the new MPFR 4.1.0 release.
>
> Tested with build-many-glibcs.py (host-libraries, compilers and glibcs
> builds).

LGTM, thanks.

>
> diff --git a/scripts/build-many-glibcs.py b/scripts/build-many-glibcs.py
> index 8010716d36..f17a8a250d 100755
> --- a/scripts/build-many-glibcs.py
> +++ b/scripts/build-many-glibcs.py
> @@ -753,7 +753,7 @@ class Context(object):
>                              'gmp': '6.2.0',
>                              'linux': '5.7',
>                              'mpc': '1.1.0',
> -                            'mpfr': '4.0.2',
> +                            'mpfr': '4.1.0',
>                              'mig': 'vcs-mainline',
>                              'gnumach': 'vcs-mainline',
>                              'hurd': 'vcs-mainline'}
>